/*
 * CustomerSCApplicationFactory
 *
 * 10/15/2006
 */

package com.ibm.sureview.customer.sc.factory;

import com.ibm.sureview.application.SIAdapter;
import com.ibm.sureview.application.UserData;
import com.ibm.sureview.customer.sc.application.CustomerSCAdapter;
import com.ibm.sureview.customer.sc.application.CustomerUserData;
import com.ibm.sureview.sc.factory.SCApplicationFactory;

/**
 * DecaSCApplicationFactory - Creates a factory which will make specific 
 * Sureview Application objects
 */
public class CustomerSCApplicationFactory extends SCApplicationFactory
{
   /**
    * Make SIAdapter
    * 
    * @return SASIAdapter
    */
   public SIAdapter makeSIAdapter()
   {
      if (aSIAdapter == null)
      {
         aSIAdapter = new CustomerSCAdapter();
      }
      return aSIAdapter;
   }

   /**
    * Make the CustomerUserData
    * 
    * @return CustomerUserData
    */
   public UserData makeUserData()
   {
      return (new CustomerUserData());
   }
}
