/*
 * CustomerGUIComponentFactory
 */

package com.ibm.sureview.customer.sc.factory;

import com.ibm.sureview.customer.sc.guiComponent.CustomerSCCashReceiptCellRenderer;
import com.ibm.sureview.customer.sc.guiComponent.CustomerSCCashReceiptLabel;
import com.ibm.sureview.guiComponent.CashReceiptCellRenderer;
import com.ibm.sureview.sc.factory.SCGUIComponentFactory;
import com.ibm.sureview.sc.guiComponent.SCCashReceiptLabel;

/**
 *  Creates a CustomerGUIComponentFactory factory which will make specific 
 *  GUIComponents.
 */
public class CustomerSCGUIComponentFactory extends SCGUIComponentFactory
{
   /**
    *  Make a Cash Receipt Label.  This is created by the CashReceiptCellRenderer
    *  object to render a line or group of lines on the electronic receipt. 
    *
    *  @returns  SCCashReceiptLabel
    */
   public SCCashReceiptLabel makeCashReceiptLabel()
   {
      return (new CustomerSCCashReceiptLabel());
   }

   /**
    * Make a CashReceiptCellRenderer
    *
    * @returns SCCashReceiptCellRenderer
    */
   public CashReceiptCellRenderer makeCashReceiptCellRenderer()
   {
      return (new CustomerSCCashReceiptCellRenderer());
   }
}