/*
 *  Class:  CustomerSCCashReceiptCellRenderer
 *  
 *  This class is for example only and is currently turned off using the "enabled" flag.
 *  See the  CustomerCashReceiptReceiptLabel class as well.
 *
 *  01/17/2007
 *
 *  Copyright:
 *  LICENSED MATERIALS - PROPERTY OF IBM
 *  "RESTRICTED MATERIALS OF IBM"
 *  (C) COPYRIGHT IBM CORP. 2007
 *
 */
 
package com.ibm.sureview.customer.sc.guiComponent;
 
import java.awt.*;
import java.net.MalformedURLException;
import java.net.URL;

import javax.swing.*;

import com.ibm.sureview.guiComponent.IconManager;
import com.ibm.sureview.sc.guiComponent.SCCashReceiptCellRenderer;

/**
 * Class: SCCashReceiptCellRenderer
 *
 * handles the rendering of receipt lines for a SCCashReceipt.
 */
public class CustomerSCCashReceiptCellRenderer extends SCCashReceiptCellRenderer implements ListCellRenderer 
{
  private static final String copyrightNotice =
          "Licensed Materials - Property of IBM " +
          "Restricted Materials of IBM " +
          "(c) Copyright IBM Corp. 2007  All Rights Reserved. " +
          "US Government Users Restricted Rights - Use, duplication or " +
          "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

  public Icon cashIcon;
  public Icon newIcon;
  
  public boolean enabled;

  /**
   * Constructs a SCCashReceiptCellRenderer object.
   */
  public CustomerSCCashReceiptCellRenderer() 
  {
     super();
     
     //load from resource jar
     cashIcon = IconManager.getIconFromName("tender_euro.gif");
     
     try
     {
        //Use URL to obtain image
        newIcon = new ImageIcon(new URL("http://www.step2.com/images/graphics/icons/new.gif"));
     }
     catch (MalformedURLException e) {}
  }

  /**
   * Example method that returns a SCCashReceiptLabel with additional formatting.
   *
   * @param  width        the width of the SCCashReceiptListUI that manages these labels (may be 0 at startup)
   * @param  object       the SCCashReceiptEventLine object.
   * @param  index        the index of this cell.
   *
   * @return this a SCCashReceiptLabel object with attributes set for this cell
   */
  public Component getListCellRendererComponent(int width, Object object, int index)
  {
     CustomerSCCashReceiptLabel label = (CustomerSCCashReceiptLabel)super.getListCellRendererComponent(width, object, index);
     if (enabled)
     {
        Icon icon = null;
        
        if (label.getText().startsWith("Cash"))
        {
           icon = cashIcon;
        }
        else if (label.getText().startsWith("New"))
        {
           icon = newIcon;
        }

        if (icon != null)
        { 
           label.setPreferredSize(null);   //clear out the formatting so getPreferredSize() works below
           label.setIcon(icon);
           Dimension d = label.getPreferredSize();
           label.setPreferredSize(new Dimension(width, d.height+cellSpacing));
        }
     }

     return label;
  }
}    

