/*
 *  Class:  CustomerSCCashReceiptLabel
 *  
 *  Sample class that extends the SCCashReceiptLabel object.  This is the
 *  object that is displayed on the electronig receipt.  See the 
 *  CustomerCashReceiptCellRenderer class as well.
 *
 *  01/17/2007
 *
 *  Copyright:
 *  LICENSED MATERIALS - PROPERTY OF IBM
 *  "RESTRICTED MATERIALS OF IBM"
 *  (C) COPYRIGHT IBM CORP. 2007
 *
 */

package com.ibm.sureview.customer.sc.guiComponent;

import javax.swing.Icon;
import com.ibm.sureview.sc.guiComponent.SCCashReceiptLabel;

/**
 * Class:   MercSCCashReceiptLabel
 * 
 * This class is created by the MercSCCashReceiptCellRenderer to display a 
 * SCCashReceiptEventLine object.   
 */

public class CustomerSCCashReceiptLabel extends SCCashReceiptLabel
{
   private static final String copyrightNotice =
          "Licensed Materials - Property of IBM " +
          "Restricted Materials of IBM " +
          "(c) Copyright IBM Corp. 2007  All Rights Reserved. " +
          "US Government Users Restricted Rights - Use, duplication or " +
          "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";

   /**
    * Constructs an empty SCCashReceiptLabel object
    */
   public CustomerSCCashReceiptLabel()
   {
      super();
   }
   
   /**
    * Constructs an SCCashReceiptLabel object with text, icon, and alignment
    */
   public CustomerSCCashReceiptLabel(String text, Icon icon, int horozontalAlignment)
   {
      super(text, icon, horozontalAlignment);
   }
}