/*
 * UserFeature
 *
 * 10/15/2006
 */
package com.ibm.sureview.customer.sc.util;

import com.ibm.sureview.customer.sc.factory.*;
import com.ibm.sureview.factory.FactoryTable;
import com.ibm.sureview.screen.ScreenManagerTable;
import com.ibm.retail.AEF.factory.BundleFactory;
import com.ibm.retail.AEF.session.*;

/**
 *  UserFeature - A class which allows users to initialize their system.
 */
public class UserFeature implements SessionStatusListener
{
  /**
   * initialize special bundles
   */
  public static BundleFactory initPropertiesBundles()
  {
    return null;
  }

  /**
   * Initialize any user feature
   */
  public static void startUp()
  {
     System.out.println("Loading Customer UserFeature");
  }

  /**
   * Update the FactoryTable
   *
   * @param factoryTable the factory table to be updated
   */
  public static void updateFactoryTable(FactoryTable factoryTable)
  {
     factoryTable.put(FactoryTable.APPLICATION_FACTORY, new CustomerSCApplicationFactory());
     factoryTable.put(FactoryTable.GUICOMPONENT_FACTORY, new CustomerSCGUIComponentFactory());
  }

  /**
   * Update the ScreenManagerTable
   *
   * @param screenManagerTable the table to be updated
   */
  public static void updateScreenManagerTable(ScreenManagerTable screenManagerTable)
  {
  }

  /**
   * Perform any User unique processing
   *
   * @param Object
   */
  public static void process(Object obj)
  {
  }

  /**
   *  Perform any User unique Configurable Tree processing
   *
   *  @param ConfigurableTree object
   */
  public static void appendConfigurableTree()
  {
  }

  /**
   *  Process a session status event
   *  @param SessionStatusEvent
   */
  public void sessionStatusChanged(SessionStatusEvent evt)
  {
  }


  /**
   *  The session is ready. This was the iopReady() method.
   *  @param SessionStatusEvent
   */
  public void sessionReady(SessionStatusEvent evt)
  {
  }


  /**
   *  The session ended
   *  @param SessionStatusEvent
   */
  public void sessionEnded(SessionStatusEvent evt)
  {
  }

  /**
   * Perform any User unique processing that should occur after the TractionManager
   * is initialized and all the tractions are listening.
   */
  public void postTractionManagerInitialization()
  {
  }
}
